package synch2;

/**
 * 
 * @author lorenz schauer
 * 
 * Implementierungsvariante des Erzeuger-Verbraucher Problems.
 *  
 */
public class Speicher {
	
	public final int MAX_CAPACITY = 5;
	
	private double[] speicher = new double[MAX_CAPACITY];
	private int position=0;
	
	public void add(int position, double element){
		speicher[position]=element;
		this.position++;
	}
	
	public void remove(int position){
		this.position--;
	}

	public int getPositon() {
		return position;
	}

	public void setPositon(int position) {
		this.position = position;
	}
	
	public double getElement(int position){
		return speicher[position];
	}
	
	public static void main(String[] args) {
		
		Speicher s = new Speicher();
		
		new Consumer(s).start();
		new Producer(s).start();
	}
}
